Subject: bug#22802: closed (Re: bug#22802: guix system init installs grub.cfg gcroot to host)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Mar 2016 10:16:02 +0000

Your bug report

#22802: guix system init installs grub.cfg gcroot to host

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22802: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22802
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22802: guix system init installs grub.cfg gcroot to host
From: [email-masked] (Ludovic Courtès)
To: Jookia <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Mar 2016 11:15:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jookia <[email-masked]> skribis:

> On Mon, Mar 07, 2016 at 01:15:38PM +0100, Ludovic Courtès wrote:
>> Jookia <[email-masked]> skribis:
>> > When running 'guix system init', GRUB requires a GC root to be placed in
>> > /var/guix. When building a VM, this GC root is placed in <disk>/var/guix/gcroots
>> > however while building a system on another drive, the GC root is placed on the
>> > host's /var/guix/gcroots
>>
>> Indeed, good catch!
>>
>> I believe this is fixed with the patch below.  Can you confirm?
>
> I can't easily confirm since I don't have a system I can 'init' to anymore, and
> I've already fixed this in my set of GRUB patches so it'd also lock me out of
> Libreboot on my actual machine if I did.

Sure.  After rereading it, it seemed obviously correct™ so I pushed it
as 16210486e6bb2e7b81e0208e42584b1eed826cd0.

Thanks!

Ludo’.

Subject: guix system init installs grub.cfg gcroot to host
From: Jookia <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2016 14:56:23 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

When running 'guix system init', GRUB requires a GC root to be placed in
/var/guix. When building a VM, this GC root is placed in <disk>/var/guix/gcroots
however while building a system on another drive, the GC root is placed on the
host's /var/guix/gcroots , not only overwriting the host's grub.cfg which could
be problematic if GC is run and the host has a different grub.cfg to the system
being inited, but the system being inited lacks the grub.cfg and can run GC and
clear out its GRUB files itself.

'guix system reconfigure' once you're inside the new system fixes this issue for
the new system, but the host system may still have a broken grub.cfg and will
need reconfiguring also.